% rebase("base.tpl")

<h1>Transaktionen aus {{ category.full_name() }}</h1>

<table class="table-auto">
  <thead>
    <tr>
      <th class="px-4 py-2">Date</th>
      <th class="px-4 py-2">Sender/Empfänger</th>
      <th class="px-4 py-2">Verwendungszweck</th>
      <th class="px-4 py-2">Betrag</th>
      <th class="px-4 py-2">Kategorie</th>
    </tr>
  </thead>
  <tbody>
% for t in transactions:
    <tr>
      <td class="border px-4 py-2">{{ t.get_date("de") }}</td>
      <td class="border px-4 py-2">{{ t.name }}</td>
      <td class="border px-4 py-2">{{ t.description }}</td>
      <td class="border px-4 py-2 {{ 'text-green-500' if t.is_positive() else 'text-red-500' }}">{{ t.pretty_amount() }}</td>
      <td class="border px-4 py-2">{{ t.category.full_name() if t.category else "-" }}</td>
    </tr>
% end
  </tbody>
</table>
